package com.example.administrator.zhapp.weight;

import android.content.Context;
import androidx.appcompat.app.AlertDialog;
import android.view.View;
import android.view.Window;
import android.view.WindowManager;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.EditText;

import com.example.administrator.zhapp.R;

/**
 * Created by Administrator on 2016/9/icon1.
 */
public class JsDialog {

    private Context mContext;
    private AlertDialog dialog;
    private EditText et_baq;//不安全事项
    private EditText et_cs;//措施
    private Window mWindow;

    private CheckBox cb_qszs;
    private CheckBox cb_sw;
    private CheckBox cb_zyb;
    private CheckBox cb_other;
    private Button btn_cancel;
    private Button btn_save;

    public JsDialog(Context context) {
        mContext = context;
        dialog = new AlertDialog.Builder(context).create();
        dialog.setCancelable(true);
        dialog.show();
        mWindow = dialog.getWindow();
        mWindow.setContentView(R.layout.js_dialog);
        et_baq = (EditText) mWindow.findViewById(R.id.et_baq);
        et_cs = (EditText) mWindow.findViewById(R.id.et_cs);
        cb_sw = (CheckBox) mWindow.findViewById(R.id.cb_sw);
        cb_other = (CheckBox) mWindow.findViewById(R.id.cb_other);
        cb_zyb = (CheckBox) mWindow.findViewById(R.id.cb_zyb);
        cb_qszs = (CheckBox) mWindow.findViewById(R.id.cb_qszs);
        btn_cancel = (Button) mWindow.findViewById(R.id.btn_cancel);
        btn_save = (Button) mWindow.findViewById(R.id.btn_save);

        //设置dialog可以弹出软键盘
        mWindow.clearFlags(WindowManager.LayoutParams.FLAG_ALT_FOCUSABLE_IM);
    }

    /**
     * 获取轻伤重伤是否选中
     *
     * @return
     */
    public boolean getCb_qszs() {
        return cb_qszs.isChecked();
    }

    /**
     * 设置轻伤重视是否选中
     *
     * @param isChecked
     */
    public void setCb_qszs(boolean isChecked) {
        cb_qszs.setChecked(isChecked);
    }

    /**
     * 获取死亡是否选中
     *
     * @return
     */
    public boolean getCb_sw() {
        return cb_sw.isChecked();
    }

    /**
     * 设置死亡是否选中
     *
     * @param isChecked
     */
    public void setCb_sw(boolean isChecked) {

        cb_sw.setChecked(isChecked);
    }

    /**
     * 获取职业病是否选中
     *
     * @return
     */
    public boolean getCb_zyb() {
        return cb_zyb.isChecked();
    }

    /**
     * 设置职业病是否选中
     *
     * @param isChecked
     */
    public void setCb_zyb(boolean isChecked) {

        cb_zyb.setChecked(isChecked);
    }

    /**
     * 获取其他是否选中
     *
     * @return
     */
    public boolean getCb_other() {
        return cb_other.isChecked();
    }

    /**
     * 设置其他是否选中
     *
     * @param isChecked
     */
    public void setCb_other(boolean isChecked) {

        cb_other.setChecked(isChecked);
    }

    /**
     * 获取不安全事项
     *
     * @return
     */
    public String getEt_baq() {
        return et_baq.getText().toString();
    }

    /**
     * 设置不安全事项
     *
     * @param text
     */
    public void setEt_baq(String text) {

        et_baq.setText(text);
    }

    /**
     * 获取纠正措施
     *
     * @return
     */
    public String getEt_cs() {
        return et_cs.getText().toString();
    }

    /**
     * 设置纠正措施
     *
     * @param text
     */
    public void setEt_cs(String text) {
        et_cs.setText(text);
    }

    /**
     * 设置取消点击事件
     *
     * @param listener
     */
    public void setCancelOnClickListener(View.OnClickListener listener) {
        btn_cancel.setOnClickListener(listener);
    }

    /**
     * 设置保存点击事件
     *
     * @param listener
     */
    public void setSaveOnClickListener(View.OnClickListener listener) {
        btn_save.setOnClickListener(listener);
    }

    /**
     * 关闭对话框
     */
    public void close() {
        dialog.dismiss();
    }
}
